# scikit-metrics
Scikit-learn-compatible metrics

## Status
[![Build Status](https://travis-ci.org/daviddiazvico/scikit-metrics.svg?branch=master)](https://travis-ci.org/daviddiazvico/scikit-metrics)
[![Coverage Status](https://coveralls.io/repos/github/daviddiazvico/scikit-metrics/badge.svg?branch=master)](https://coveralls.io/github/daviddiazvico/scikit-metrics?branch=master)
[![Maintainability](https://api.codeclimate.com/v1/badges/f58c1bd058c97dfe265d/maintainability)](https://codeclimate.com/github/daviddiazvico/scikit-metrics/maintainability)
[![Test Coverage](https://api.codeclimate.com/v1/badges/f58c1bd058c97dfe265d/test_coverage)](https://codeclimate.com/github/daviddiazvico/scikit-metrics/test_coverage)
[![Code Health](https://landscape.io/github/daviddiazvico/scikit-metrics/master/landscape.svg?style=flat)](https://landscape.io/github/daviddiazvico/scikit-metrics/master)
[![Documentation Status](https://readthedocs.org/projects/scikit-metrics/badge/?version=latest)](http://scikit-metrics.readthedocs.io/en/latest/?badge=latest)

![Anaconda Cloud](https://anaconda.org/daviddiazvico/scikit-metrics/badges/version.svg)
![license](https://anaconda.org/daviddiazvico/scikit-metrics/badges/license.svg)
![downloads](https://anaconda.org/daviddiazvico/scikit-metrics/badges/downloads.svg)
![Install with](https://anaconda.org/daviddiazvico/scikit-metrics/badges/installer/conda.svg)

## Installation
Available in [PyPI](https://pypi.python.org/pypi?:action=display&name=scikit-metrics)
```
pip install scikit-metrics
```
and [Anaconda Cloud](https://anaconda.org/daviddiazvico/scikit-metrics)
```
conda install -c daviddiazvico scikit-metrics
```

## Documentation
To generate the documentation, go to the docs subfolder and run
```
sphinx-apidoc -o . ../skmetrics/
make html
```

## Distribution
Run the following command from the project home to upload the package to [testPyPI](https://testpypi.python.org/)
```
python setup.py sdist upload -r testpypi
```
or [PyPI](https://pypi.python.org/)
```
python setup.py sdist upload -r pypi
```
Then, you can also upload to [Anaconda Cloud](https://anaconda.org/). Install [conda-build](https://anaconda.org/anaconda/conda-build) and [anaconda-client](https://anaconda.org/anaconda/anaconda-client), go to ~, and run
```
conda skeleton pypi scikit-metrics
conda-build scikit-metrics
anaconda login
anaconda upload <TEST END generated by conda-build>
```

## Citation
If you find scikit-metrics useful, please cite it in your publications. You can use this [BibTeX](http://www.bibtex.org/) entry:
```
@misc{scikit-metrics,
      title={scikit-metrics},
      author={Diaz-Vico, David},
      year={2017},
      publisher={GitHub},
      howpublished={\url{https://github.com/daviddiazvico/scikit-metrics}}}
```